"""Patching utilities
"""

def apply_patch(scope, original, replacement):
    """A patching handler that keeps the original method
    """

    original_func = getattr(scope, original)
    setattr(scope, "original_" + original, original_func)
    setattr(scope, original, replacement)
    return

